<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width-device-width, initial-scale-1.0">
        <meta http-equiv="X-UA-Compatible" content="ie-edge">
        <title>Juego CSS</title>
        <style>
            h1{
                text-align: center;
            }
            #areaJ{
                position: relative;
                margin: auto;
                width: 950px;
                height: 300px;
                border: 1px solid;
                background-image: url('imagenes/estrellas.jpg');
                cursor: url('imagenes/ovni.png'), default;
                color: white;
                overflow: hidden;
            }
            #areaJ #instrucciones{
                position: absolute;
                display: block;
                top: 50%;
                left: 50%;
                transform:translateX(-50%) translateY(-50%);
            }
            #areaJ:hover{
                animation: fondoanimado 2s infinite linear;
            }          
            #areaJ:hover #instrucciones{
                display: none;
            }

            .meteoritos{
                position: relative;
                background-image: url('imagenes/meteorito.png');
                background-size: 100%, 100%;
            }
            .meteoritos:hover ~ #findejuego{
                display: block;
            }
            #areaJ:hover .meteoritos{
                animation-name: meteorito;
                animation-iteration-count: infinite;
            }
            @keyframes fondoanimado {
                from{
                    background-position-x: 0px;
                }
                to{
                    background-position-x: 480px;
                }
            }
            @keyframes meteorito {
                to{
                    left: 100%;
                    transform: translateX(100%);
                }
            }
            #findejuego{
                position: absolute;
                width: 100%;
                height: 100%;
                left: 0px;
                top: 0px;
                background-color: black;
                color: white;
                cursor: default;
                display: none;
            }
            #findejuego div{
                position: absolute;
                top: 50%;
                left: 50px;
                transform:translateX(-50%) translateY(-50%);
            }
            #findejuego:hover{
                display: block;
            }
        </style>
        </head>
    <body>
        <h1>Cuando tenes media hora libre y ganas de boludear con el CSS</h1>
        <div id="areaJ">
            <h2 id="instrucciones">Ingresa en el area de juego para iniciar</h2>
            
            <div class="meteoritos" style="width:45px ;height:45px ; left: -250px; animation-duration: 2s; animation-timing-function: linear;"></div>
            <div class="meteoritos" style="width:60px ;height:60px ; left: -150px; animation-duration: 6s; animation-timing-function: ease;"></div>
            <div class="meteoritos" style="width:35px ;height:35px ; left: -100px; animation-duration: 3s; animation-timing-function: ease-in;"></div>
            <div class="meteoritos" style="width:90px ;height:90px ; left: -500px; animation-duration: 4s; animation-timing-function: ease-out;"></div>
            <div class="meteoritos" style="width:42px ;height:42px ; left: -250px; animation-duration: 5.5s; animation-timing-function: linear;"></div>
            <div class="meteoritos" style="width:25px ;height:25px ; left: -300px; animation-duration: 3.5s; animation-timing-function: ease-in-out;"></div>

            <div id="findejuego">
                <div></div>
            </div>
        </div>        
    </body>
</html>